Package org.apache.tomcat.util.http.parser

## Class Ranges

- java.lang.Object
- - org.apache.tomcat.util.http.parser.Ranges

-     public class Ranges
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Ranges.Entry` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<Ranges.Entry>` | `getEntries()` |
    `java.lang.String` | `getUnits()` |
    `static Ranges` | `parse​(java.io.StringReader input)` | Parses a Range header from an HTTP header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEntries

          public java.util.List<Ranges.Entry> getEntries()

    - #### getUnits

          public java.lang.String getUnits()

    - #### parse

          public static Ranges parse​(java.io.StringReader input)
                              throws java.io.IOException

      Parses a Range header from an HTTP header.
      Parameters:
        `input` - a reader over the header text
      Returns:
        a set of ranges parsed from the input, or null if not valid
      Throws:
        `java.io.IOException` - if there was a problem reading the input